package com.purui.prims.auth.api.authentication.service;


import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.auth.api.authentication.request.RoleReq;
import com.purui.prims.auth.api.authentication.response.RoleResp;

import java.util.List;

public interface RoleService {

    void saveOrUpdate(RoleReq roleReq, User user);

    void delete(Long id);

    List<RoleResp> getRoles();

}
